+ Post New Thread
Page 1 of 34 1 2 3 11 ... LastLast
Threads 1 to 25 of 827

Forum: The CUI, Hatches, Linetypes, Scripts & Macros

This forum is for all customizations that do not involve programming. Tips, tutorials and questions on working with the Ribbon are welcome.

  1. Faster saving in a script

    Good afternoon, Last week I had 1000+ drawings to process (a simple purge on them all). What took the time was saving each drawing - is there a fast method in a script (or a LISP )to save a...

    Started by Steven P‎, 11th Apr 2018 02:48 pm
    • Replies: 6
    • Views: 354
    Yesterday 06:05 am Go to last post
  2. AutoCAD AutoCAD - Mass Convert DWG To DXF (Batch Convert DWG To DXF) (Mas DWG Convert)

    Hi Guys,:) I Wanted To Mass Convert Some DWGs To DXFs, So, I looked Around and found some commercial softwares and also some lisp routine, but they didn't workout as i expected so i made a...

    Started by kArThIcK hAcKeR‎, 3rd May 2014 11:18 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 17,111
    14th May 2018 03:06 pm Go to last post
  3. draw special shape as Line

    Hello can any one help to draw the shape as in attached image

    Started by motee-z‎, 20th Apr 2018 11:34 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 783
    24th Apr 2018 05:20 pm Go to last post
  4. Script to select and delete block not working

    Hi everyone This simple script to select and delete the COS_DWGS_STATUS dynamic block from a series of drawings is not working. Any ideas? (command "erase" (SSGET "X" '((0 . "INSERT") (2 ....

    Started by pixel8er‎, 4th Apr 2018 06:45 am
    • Replies: 6
    • Views: 313
    6th Apr 2018 04:31 am Go to last post
  5. script does not work

    Hello to all sorry, I use the translator I have a "A_Hyd_mm" folder with the hydraulic blocks of the autocad electrical library I want to create slides of these blocks I use this Script to create...

    Started by blintz‎, 29th Mar 2018 02:49 pm
    • Replies: 7
    • Views: 428
    1st Apr 2018 10:18 pm Go to last post
  6. apply predefined set of properties to existing objects

    hi using acad 18 i need what the "Match" command is doing but without a scoure object. i have predefined set of properties i want to apply to existing objects. what is the way to automate...

    Started by samifox‎, 29th Mar 2018 04:03 pm
    • Replies: 3
    • Views: 216
    29th Mar 2018 11:48 pm Go to last post
  7. Move selected objects to a fixed name destination layer

    hi Looking for the cleanst and fastest way to move selected objects to a another layer (fixed name) and purge the old layer. can be DIESL, autolisp or a commandline script Thanks S

    Started by samifox‎, 26th Mar 2018 08:28 am
    • Replies: 1
    • Views: 179
    27th Mar 2018 03:26 am Go to last post
  8. Right Click Menu

    I just recently installed AutoCAD LT 2013 to my new computer with Windows 10. My right-click menu is not the edit options that I am used to and I can't figure out how to make it work again...when I...

    Started by spottedfish‎, 17th Mar 2018 10:35 pm
    right click
    • Replies: 1
    • Views: 360
    20th Mar 2018 12:09 pm Go to last post
  9. CUI file/Macro Not Working

    Hi, I'm hoping that someone can help me with a macro that I'm trying to complete. I'm making a a custom toolbar with custom valve buttons that I can insert and rotate. Please see the macro below:...

    Started by CAD_Question‎, 11th Mar 2018 04:30 pm
    • Replies: 3
    • Views: 300
    12th Mar 2018 01:09 pm Go to last post
  10. How to create a ribbon menu

    Good evening How do I create a Ribbon menu through scripts? a .MNU file? menubar ***MENUGROUP=Ftth_CAD ***POP18 **TEST

    Started by JuniorNogueira‎, 9th Mar 2018 12:55 am
    • Replies: 1
    • Views: 372
    9th Mar 2018 01:07 pm Go to last post
  11. Double click > REFEDIT

    I'd a appreciate a CUI for Dummies type answer: how to make a double click on a Block or Xref open REFEDIT instead of BEDIT?

    Started by fostertom‎, 20th Aug 2013 05:59 pm
    • Replies: 9
    • Views: 9,767
    5th Mar 2018 01:50 am Go to last post
  12. macro linetype

    hello i need a macro to add to a button for: make a line on layer "AM_4" with Amzigzag line and then when i finish to return on layer 0 and the color is by block is it possible? thanks ...

    Started by jim78b‎, 26th Feb 2018 08:22 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 872
    28th Feb 2018 07:47 am Go to last post
  13. Macro to open specific file

    Is there a way to create a macro button to open a specific file? I have the qnew to open a specific template, but there is another file that I reference a lot that I would like to create a button...

    Started by robwell‎, 22nd Feb 2018 05:31 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 667
    24th Feb 2018 08:28 pm Go to last post
  14. Switch to another opened drawing in a script

    Good morning, I couldn't see an answer to this so sorry if I have missed it somewhere, or am asking a very simple question. I am trying to get my head round Scripts and have got so far. I am...

    Started by Steven P‎, 19th Feb 2018 10:55 am
    • Replies: 6
    • Views: 404
    21st Feb 2018 05:27 pm Go to last post
  15. Mtext Toolbar Button Not Working

    Hello, I'm trying to create a command line for a tool bar button that will create mtext but middle justify it using "J" and "MC" inside the mtext command. Anyone know how to do that?

    Started by ryankevin15‎, 1st Feb 2018 06:11 pm
    autocad, lisp, mtext, toolbar
    • Replies: 4
    • Views: 701
    1st Feb 2018 08:24 pm Go to last post
  16. Edit MTEXT Special Character List

    The MTEXT symbol option lists several unicode strings for special characters such as delta and omega, etc (see screenshot). I would like to edit the list to include \U+0081. This code specifically...

    Started by slovenc0417‎, 12th Jan 2018 04:25 pm
    • Replies: 3
    • Views: 1,103
    13th Jan 2018 02:35 pm Go to last post
  17. Question Counting objects inside hatched area

    How can I count objects automatically inside a hatched area. Is there a quick command for doing this? Need help. thanks, Orjen

    Started by Orjen‎, 8th Jan 2018 04:13 am
    • Replies: 2
    • Views: 656
    8th Jan 2018 04:10 pm Go to last post
  18. Leader sub menu modification

    Hello All! I would like to add another command to the pop up sub-menu (see attached image) that come up when you place your courser over a leader. I would like ADD the option to remove a...

    Started by mjavy7‎, 6th Dec 2017 04:28 pm
    • Replies: 6
    • Views: 1,943
    2nd Jan 2018 08:33 pm Go to last post
  19. help with macro command

    Hi. Can someone please help me, tell me or explain to me how to create new layer with macro. I want define a new button which when I push it will make new layer and ask me for define name and...

    Started by rotaidar‎, 21st Oct 2017 01:36 pm
    • Replies: 6
    • Views: 2,323
    27th Nov 2017 10:23 pm Go to last post
  20. zoom and pan with right click

    scared with modifying the cui so maybe someone can help me. i want to set the rmb (right mouse button) to pan and ctrl+rmb to zoom i.e. just like in rhino.. is this possible and can maybe...

    Started by chrisdarmanin‎, 12th Nov 2017 10:44 pm
    cui, mouse, pan, rhino, zoom
    • Replies: 1
    • Views: 1,020
    13th Nov 2017 02:10 pm Go to last post
  21. Layout-tab name in a macro.

    Hello, I have made a macro which print a specifically area of different layout-tabs. It works fine. But now i have to use it in other drawings with other layout-tab names and than the macro...

    Started by GVR‎, 11th May 2011 07:48 am
    2 Pages
    1 2
    • Replies: 18
    • Views: 9,214
    9th Nov 2017 12:46 pm Go to last post
  22. Rotate copy reference around a centerpoint

    Hi all, I've been trying to create a macro to rotate an object around a centerpoint while copying it. If doing this the long way my actions are as follows: rotate enter select object enter...

    Started by alexcolodner‎, 4th Nov 2017 01:11 am
    • Replies: 6
    • Views: 1,114
    7th Nov 2017 02:01 am Go to last post
  23. Can these commands be executed without dialog boxes?

    I want to put this into a script. I need to select all instances of this block and change it's layer and linetype. I can't use a lisp since don't know programming.

    Started by bustr‎, 1st Nov 2017 04:45 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,202
    2nd Nov 2017 01:01 pm Go to last post
  24. GETPAT.lsp needs dwgprefix handling

    In the Netherlands some bright people can up with the idea to standarize the national standard with custom hatch patterns. I never understood this because it only leads to .. welll.., a whole lot of...

    Started by halam‎, 12th Oct 2017 10:56 pm
    • Replies: 6
    • Views: 2,073
    1st Nov 2017 05:17 pm Go to last post
  25. Script to open read only and plot drawings by lisp

    I create a script: (vla-activate (vla-open (vla-get-documents (vlax-get-acad-object)) "C:/TEST/PlotDrawing.dwg" :VLAX-TRUE)) (load "C:\\TEST\\PDF.lsp") (c:pdf) _close Y However, the command do...

    Started by CloudJack‎, 10th Oct 2017 12:38 pm
    • Replies: 6
    • Views: 987
    12th Oct 2017 12:44 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts